> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List a customer's onboarding requests



## OpenAPI

````yaml /api-reference/openapi.json get /v1/customers/{customerId}/onboarding-requests
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/customers/{customerId}/onboarding-requests:
    get:
      tags:
        - Customer Onboarding
      summary: List a customer's onboarding requests
      operationId: listOnboardingRequests
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: status
          in: query
          schema:
            type: string
            enum:
              - draft
              - collecting_information
              - submitted
              - action_required
              - in_review
              - approved
              - rejected
              - failed
              - expired
        - name: feature
          in: query
          schema:
            type: string
            enum:
              - WIRE
              - SEPA
            description: USD → WIRE, EUR → SEPA
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
            maximum: 100
      responses:
        '200':
          description: Cases
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        customerId:
                          type: string
                          format: uuid
                        feature:
                          type: string
                          enum:
                            - WIRE
                            - SEPA
                          description: USD → WIRE, EUR → SEPA
                        currency:
                          type: string
                        mode:
                          type: string
                          enum:
                            - api_only
                        status:
                          type: string
                          enum:
                            - draft
                            - collecting_information
                            - submitted
                            - action_required
                            - in_review
                            - approved
                            - rejected
                            - failed
                            - expired
                        requirements:
                          type: object
                          properties:
                            mode:
                              type: string
                            status:
                              type: string
                              enum:
                                - draft
                                - collecting_information
                                - submitted
                                - action_required
                                - in_review
                                - approved
                                - rejected
                                - failed
                                - expired
                            schema:
                              type: object
                              nullable: true
                              description: >-
                                JSON Schema Draft 07 for the `data` you submit.
                                Null once approved.
                        outstandingRequirements:
                          type: array
                          items:
                            type: string
                        rejectionReason:
                          type: string
                          nullable: true
                        submissionCount:
                          type: integer
                        submittedData:
                          type: object
                          nullable: true
                          description: Echo of your submission with identity numbers masked
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                  total:
                    type: integer
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.